package com.ym.im.service;

import com.ym.im.entity.model.IdModel;
import com.ym.im.entity.MsgBody;
import com.ym.im.entity.StaffSocketInfo;

/**
 * @author: JJww
 * @Date:2019-05-22
 */
public interface StaffService {


    /**
     * 获取空闲的客服ID
     *
     * @param userId
     * @return
     */
    StaffSocketInfo getIdleStaff(Long merchantId, Long userId);


    /**
     * 转发客服
     *
     * @param idModel
     * @return
     */
    MsgBody forward(IdModel idModel);

    /**
     * 获取商户所有在线客服
     *
     * @return
     */
    MsgBody getMerchantStaffGroup(Long merchantId);

}
